import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class Hammer extends Actor
{
    int[] score;
    int note,count=0,max,place=0,real;
    double ang,accel;
    boolean dead=false;
    GreenfootImage screen = new GreenfootImage(20,20);
    
    public Hammer(int[] s,int n){
        score = s.clone();
        note = n;
        screen.setColor(new Color(100,50,10));
        screen.fillRect(9,0,2,10);
        screen.setColor(new Color(150,150,10));
        screen.fillRect(7,0,5,2);
        setImage(screen);       
    }
    

    public void act() 
    {
        if(Greenfoot.isKeyDown("t")){
            getWorld().removeObject(this);
            return;
        }
        if(dead && count<45)return;
           
        if(count==0 && !dead){
            count = score[place];
            if(count==-1){             
                dead=true;
                count=90;
            }
            max = count;
            accel = 2/max;
            if(max>10)accel = 2.0/10;
            place++;
        }
        count--;
        if(!dead && (count==5 || (max==5 && count==4)))((worldness)getWorld()).play(note, 1,0,80);
            
        real = Math.abs(count - max/2) - max/2 + 10;
        if(real<0)real=0;
        real = 10-real;
        
        setRotation((int)(9*(2*real - .5*accel*real*real)));

    }    
}
