import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import javax.swing.JOptionPane;



public class blue extends Actor
{
    GreenfootImage screen = new GreenfootImage(400,300);
    int x,y,page=0,a,instrument=1,place,count;
    boolean animating=false,loading=false;
    int[] score1 = new int[1024];
    int[] score2 = new int[1024];
    int[] score3 = new int[1024];
    int[] score4 = new int[1024];
    int[] curScore = new int[1024];
    int[] copy = new int[32];
    Color curColor = Color.blue;
    String str,save;

    
    public blue(){
        curScore = score1;
        setImage(screen);
        drawMain(); 
    }
    
    
    public void act() 
    {
        
        if(animating){
            if(Greenfoot.isKeyDown("t")){
                animating=false;
                drawMain();
            }
            else
            {
                return;
            }
        }
        
        if(loading){
            ((worldness)getWorld()).animate(convert(score1),convert(score2),convert(score3),convert(score4),notes(score4));
            loading=false;
            animating=true;
            screen.clear();
        }
        
        
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if(mouse!=null && Greenfoot.mouseClicked(null) && mouse.getX()>80){
            x = mouse.getX();
            y = mouse.getY();
            x = x - x%10;
            y = y - y%20;
            a = x/10 - 8 + 32*page;
            screen.setColor(Color.white);
            if(curScore[a] != 0)
                screen.fillRect(x+1,curScore[a]*20-19,9,19);
            screen.setColor(curColor);
            if(curScore[a]*20-20 != y){
                screen.fillRect(x+1,y+1,9,19);
                curScore[a] = y/20+1;
            }
            else{
                curScore[a] = 0;
            }
            screen.setColor(Color.black);
            for(int f=80;f<400;f=f+40){
                screen.drawLine(f+1,0,f+1,300);
            }
        }
        
        str = Greenfoot.getKey();
        if(str == null)str=".";
        
        if(mouse!=null && Greenfoot.mouseClicked(null) && mouse.getX()<80  && mouse.getY()>260 || !str.equals(".")){
            screen.setColor(new Color(128,128,128));
            screen.drawString("Page: " + (page+1) , 2,255);
            if(str.equals("down"))
                page=0;
            if(str.equals("up"))
                page=31;
            if(!str.equals("."))
                x=40;
            if(x!=40)x = mouse.getX();
            if((x>40 || str.equals("right")) && page!=31)page++;
            if((x<40 || str.equals("left")) && page!=0)page--;
            x=20;
            rePaint(); 
        }
        
        if(mouse!=null && Greenfoot.mouseClicked(null) && mouse.getX()<80  && mouse.getY()<120){
            y = mouse.getY();
            y = y - y%30;
            if(y==0){
                curColor = Color.blue;
                curScore = score1;
            }
            if(y==30){
                curColor = Color.red;
                curScore = score2;
            }
            if(y==60){
                curColor = Color.green;
                curScore = score3;
            }
            if(y==90){
                curColor = Color.orange;
                curScore = score4;
            }
            instrument = y/30 +1;
            rePaint(); 
        }
        
        if(str.equals("backspace")){
            for(int f=0;f<32;f++){
                curScore[f+32*page] = 0;
            }
            rePaint();
        }
        
        if(str.equals("space"))
            getWorld().addObject(new preview(curScore,instrument,page),0,0);
           
        if(str.equals("c")){
            for(int f=0;f<32;f++){
                copy[f] = curScore[32*page + f];
            }
            rePaint();
        }
        
        if(str.equals("v")){
            for(int f=0;f<32;f++){
                curScore[32*page + f] = copy[f];
            }
            rePaint();
        } 
        
        if(str.equals("a")){          
            screen.clear();
            screen.setColor(Color.green);
            screen.drawString("Loading...",0,10);
            loading=true;
        }
        
        if(str.equals("s"))
            save();
            
        if(str.equals("l"))
            load(JOptionPane.showInputDialog("Enter Song File:"));
            
        if(str.equals("d"))
            load("13.0.6.0.0.0.13.0.13.0.6.0.0.0.13.0.13.0.6.0.6.0.6.0.13.0.0.0.6.0.0.0.13.0.6.0.0.0.13.0.13.0.6.0.0.0.13.0.13.0.13.13.13.0.13.13.13.0.0.0.6.0.0.0.7.0.7.0.0.0.7.0.7.0.7.0.0.0.7.0.9.0.9.0.0.0.9.0.9.0.9.0.7.0.8.0.13.0.6.0.0.0.13.0.13.0.6.0.0.0.13.0.13.0.6.0.6.0.6.0.13.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.2.0.11.0.2.0.11.0.2.0.11.0.2.0.11.0.2.0.11.0.2.0.11.0.2.0.11.0.2.0.11.0.2.4.11.0.2.3.11.0.2.4.11.0.2.3.11.0.2.4.11.4.2.3.11.3.0.4.4.0.3.0.3.3.3.0.4.0.3.0.2.2.1.4.5.4.2.3.5.3.2.4.5.4.2.3.5.3.2.4.5.4.2.3.5.3.2.8.5.9.2.8.5.7.2.6.5.7.2.8.5.9.2.8.5.7.2.6.5.7.1.0.0.0.0.0.0.0.3.0.3.0.0.0.3.0.3.0.3.0.0.0.3.0.3.0.3.3.3.0.3.0.4.0.0.0.3.0.0.0.3.0.3.0.0.0.3.0.3.0.3.0.0.0.3.0.3.0.3.3.3.0.3.0.4.0.0.0.3.0.0.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.0.0.11.0.3.0.11.0.3.0.11.0.3.3.11.3.3.0.11.0.4.0.4.0.0.0.4.0.4.0.4.0.0.0.4.0.4.0.4.0.0.0.4.0.4.0.3.4.3.4.4.3.1.0.3.3.2.0.4.4.2.0.3.3.2.0.4.4.2.0.3.3.2.0.4.4.3.0.0.0.4.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.6.0.0.0.9.9.8.8.7.0.0.0.8.8.9.10.10.0.0.0.10.9.8.7.6.5.6.5.7.7.8.8.9.10.11.10.9.9.8.8.7.0.0.0.6.0.0.0.8.0.0.0.10.11.12.11.10.0.0.0.0.0.0.0.0.0.7.0.0.0.5.0.3.2.1.2.4.7.5.8.6.7.8.10.11.9.8.7.6.5.4.6.7.9.8.7.9.10.11.10.9.8.7.8.7.6.5.7.6.9.7.10.8.11.9.12.10.11.10.10.10.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.12.0.10.0.9.0.0.0.12.0.10.0.9.0.0.0.12.0.10.0.9.0.6.0.7.0.0.0.9.0.8.0.9.0.11.0.13.0.0.0.0.0.0.0.0.0.14.0.13.0.11.0.13.0.0.0.0.0.0.0.0.0.0.0.12.0.10.0.9.0.0.0.12.0.10.0.9.0.0.0.12.0.10.0.9.0.6.0.7.0.0.0.9.0.8.0.6.0.9.0.11.0.0.0.0.0.0.0.0.0.9.0.11.0.14.0.13.0.0.0.0.0.0.0.0.0.0.0.14.0.13.0.12.0.0.0.12.0.11.0.10.0.0.0.9.0.8.0.6.0.0.0.0.0.0.0.0.0.0.0.14.0.13.0.12.0.0.0.12.0.11.0.10.0.0.0.9.0.11.0.13.0.0.0.0.0.0.0.0.0.0.0.14.0.13.0.12.0.0.0.12.0.11.0.10.0.0.0.9.0.8.0.6.0.0.0.0.0.0.0.0.0.0.0.13.0.14.0.12.0.13.0.11.0.12.0.10.0.11.0.9.0.10.0.8.0.9.0.7.0.8.0.6.7.8.7.6.0.6.0.0.0.6.0.6.0.6.0.0.0.6.0.6.0.6.0.6.0.6.0.13.0.0.0.6.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.6.0.0.0.9.0.8.0.7.0.0.0.8.0.9.0.10.0.0.0.10.0.8.0.6.0.0.0.7.0.8.0.9.0.0.0.9.0.8.0.7.0.0.0.6.0.0.0.8.0.0.0.10.0.0.0.10.0.0.0.0.0.0.0.0.0.7.0.0.0.5.0.3.0.0.0.4.0.5.0.6.0.0.0.0.0.8.0.6.0.0.0.7.0.8.0.9.0.0.0.9.0.8.0.7.0.0.0.6.0.0.0.8.0.0.0.10.0.0.0.10.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0");
            
    }
    
    public void rePaint(){
        screen.setColor(Color.white);
        screen.fillRect(80,0,320,300);
        screen.setColor(curColor);
        screen.fillRect(0,0,2,120);
        for(int f=0;f<32;f++){
            y = curScore[f+32*page];
            if(y!=0)
                screen.fillRect(10*f+81,20*y-19,9,19);
            }
        screen.setColor(Color.black);
        screen.drawString("Page: " + (page+1) , 2,255);
        for(int f=80;f<400;f=f+10){
            screen.drawLine(f,0,f,300);
        }
        for(int f=80;f<400;f=f+40){
            screen.drawLine(f+1,0,f+1,300);
        }
        for(int f=0;f<300;f=f+20){
            screen.drawLine(80,f,400,f);
        }
        screen.setColor(curColor);
        screen.drawLine(240,0,240,300);
        screen.setColor(Color.black);
        screen.drawLine(241,0,241,300);
    }
    
    
    
    
    
    
    
    public int[] convert(int[] s){
        int count=0,place=0,loc=0;
        for(int f=0;f<1024;f++){
            if(s[f]!=0)count++;
        }
        int[] score = new int[2*count + 4];
        for(int f=0;f<2*count+4;f++){
            score[f] = 0;
        }
        score[2*count+1] = -1;
        score[2*count+3] = -1;
        while(place<1023){
            count=5;
            while(s[place]==0 && place<1023){
                place++;
                count=count+5;
            }
            score[loc]=count;
            score[loc+1]=s[place];
            place++;
            loc = loc+2; 
        }
        score[0] = score[0]+30;
        return score;
    }
    
    
    public int notes(int[] s){
        int count=0;
        for(int f=0;f<1024;f++){
            if(s[f]!=0)count++;
        }
        return count+4;
    }
    
    
    public void drawMain(){
        screen.drawLine(0,285,30,285);
        screen.drawLine(0,285,10,295);
        screen.drawLine(0,285,10,275);
        
        screen.drawLine(50,285,80,285);
        screen.drawLine(80,285,70,275);
        screen.drawLine(80,285,70,295);
        rePaint();

        screen.setColor(Color.blue);
        screen.fillRect(5,5,20,20);
        screen.setColor(Color.red);
        screen.fillRect(5,35,20,20);
        screen.setColor(Color.green);
        screen.fillRect(5,65,20,20);
        screen.setColor(Color.orange);
        screen.fillRect(5,96,20,20);  
    }
    
    public void save(){
           for(int i=0;i<1024;i++){
               System.out.print(score1[i] + ".");
            }
           for(int i=0;i<1024;i++){
               System.out.print(score2[i] + ".");
            }
           for(int i=0;i<1024;i++){
               System.out.print(score3[i] + ".");
            }
           for(int i=0;i<1024;i++){
               System.out.print(score4[i] + ".");
            }
            System.out.println("0.");
    }
    
    public void load(String it){
          save = it;
          if(save==null || save.length()<8192)return;
          place=0;
          count=0;
          str = "0";
          while(count<1024){
              if(!Character.toString(save.charAt(place)).equals(".")){
                    str = str + Character.toString(save.charAt(place));
                    place++;
              }else{
                    place++;
                    score1[count] = Integer.parseInt(str);
                    str = "0";
                    count++;
                }          
            }
          count=0;
          str = "0";
          while(count<1024){
              if(!Character.toString(save.charAt(place)).equals(".")){
                    str = str + Character.toString(save.charAt(place));
                    place++;
              }else{
                    place++;
                    score2[count] = Integer.parseInt(str);
                    str = "0";
                    count++;
                }          
            }
          count=0;
          str = "0";
          while(count<1024){
              if(!Character.toString(save.charAt(place)).equals(".")){
                    str = str + Character.toString(save.charAt(place));
                    place++;
              }else{
                    place++;
                    score3[count] = Integer.parseInt(str);
                    str = "0";
                    count++;
                }          
            }
          count=0;
          str = "0";
          while(count<1024){
              if(!Character.toString(save.charAt(place)).equals(".")){
                    str = str + Character.toString(save.charAt(place));
                    place++;
              }else{
                    place++;
                    score4[count] = Integer.parseInt(str);
                    str = "0";
                    count++;
                }          
            }
         rePaint();   
            
    }
  

}


